Bug 67703 - RFE: Scripting /etc/dhcpd.conf change re: ddns-update-style ad-hoc;
RFE: Scripting /etc/dhcpd.conf change re: ddns-update-style ad-hoc;
Product: Red Hat Raw Hide
Classification: Retired
Component: dhcp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-06-29 23:07 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-29 23:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-06-29 23:07:56 EDT
[root@router dl]# rpm -q dhcp 
The post install script, when going to dhcp-3.x from a  
dhcp-2.x series setup is not obvious on the position where the: 
   ddns-update-style ad-hoc; 
statement goes.  If present (understanding that /etc/dhcpd.conf is not present by default as a matter of policy  
from reading some of the prior Bugzilla, in which I concur) -- I suggest pre-pending the following; 
[ -e /etc/dhcpd.conf ] && { 
	cat - << END > /etc/dhcpd.conf.tmp 
#	The following added, due to changed  /etc/dhcpd.conf syntax in dhcp, v. 3.0 and 
#	later.  See:   man dhcpd.conf 
ddns-update-style ad-hoc ; 
	cat /etc/dhcpd.conf >> /etc/dhcpd.conf.tmp 
	mv /etc/dhcpd.conf.tmp /etc/dhcpd.conf  
[root@router dl]# service dhcpd restart 
Shutting down dhcpd: [FAILED] 
Starting dhcpd: Internet Software Consortium DHCP Server V3.0pl1 
Copyright 1995-2001 Internet Software Consortium. 
All rights reserved. 
For info, please visit http://www.isc.org/products/DHCP 
** You must add a ddns-update-style statement to /etc/dhcpd.conf. 
   To get the same behaviour as in 3.0b2pl11 and previous 
   versions, add a line that says "ddns-update-style ad-hoc;" 
   Please read the dhcpd.conf manual page for more information. ** 
If you did not get this software from ftp.isc.org, please 
get the latest from ftp.isc.org and install that before 
requesting help. 
If you did get this software from ftp.isc.org and have not 
yet read the README, please read it before requesting help. 
If you intend to request help from the dhcp-server@isc.org 
mailing list, please read the section on the README about 
submitting bug reports and requests for help. 
Please do not under any circumstances send requests for 
help directly to the authors of this software - please 
send them to the appropriate mailing list as described in 
the README file. 
[root@router dl]# man dhcpd.conf 
[root@router dl]# joe /etc/dhcpd.conf 
Processing '/etc/joe/joerc'...done 
File /etc/dhcpd.conf not changed so no update needed. 
[root@router dl]# service dhcpd restart 
Shutting down dhcpd: [FAILED] 
Starting dhcpd: [  OK  ] 
[root@router dl]# head -20  /etc/dhcpd.conf 
#       basement 
        ddns-update-style ad-hoc; 
       shared-network basement { 
#       ddns-update-style ad-hoc; 
         subnet netmask { 
            option domain-name "basement.lan"; 
            option domain-name-servers, xx.xx.xx.xx, yy.yy.yy.yy ; 
            option routers; 
#               ddns-update-style ad-hoc; 
            allow unknown-clients; 
            max-lease-time 120000; 
            default-lease-time 12000; 
Comment 1 Elliot Lee 2002-07-11 14:36:37 EDT
Erring on the side of safety, I'm not comfortable messing with people's dhcp configurations, 
but the sample configuration did get updated.

Note You need to log in before you can comment on or make changes to this bug.